Index

## Global Objects

- rap
- SWT

## Types

- $
- Button
- Canvas
- Client
- Combo
- Composite
- Control
- Event
- Label
- ProgressBar
- RemoteObject
- Scale
- ScrolledComposite
- Slider
- Spinner
- Text
- Widget

# Type $

An JQuery-like object which allows manipulation of HTML elements.

Method Summary
Method Attributes | Method Name and Description
--- | ---
| attr(attribute, value) A method to either set or get the value of an HTML-attribute.
| css(property, value) A method to either set or get the value of a CSS property.
| get() Retrieve the DOM element represented by this object.

Type Detail
<private> $(target)
The constructor is not public. Instances can currently only be obtained from Widget#$el.

Parameters:
target

Since:
  2.3

Method Detail
{string|$} attr(attribute, value)
A method to either set or get the value of an HTML-attribute. Note that the attributes "id" and "class" can not be set this way.

Parameters:
{string|Object} attribute
  The name of the attribute to return or modify. Alternatively a plain object with key-value pairs to set.
{string} value Optional
  The value to set the attribute to.

Returns:
  {string|$} The value of the given attribute, if the function is called with a string only. Otherwise a reference to this object.

{string|$} css(property, value)
A method to either set or get the value of a CSS property. Note that RAP may overwrite any changes made to a widget's style properties, and that the changes are not applied to the Java-side widget instance. Modifying properties not used by RAP is safe. Supports only elements of control widgets.

Parameters:
{string|Object} property
  The name of the property to return or modify. Alternatively a plain object with key-value pairs to set.
{string} value Optional
  The value to set the property to.

Since:
  3.0

Returns:
  {string|$} The value of the given property, if the function is called with a string only. Otherwise a reference to this object.

{[HTMLElement]} get()
Retrieve the DOM element represented by this object. Supports only elements of control widgets.

Since:
  3.0

Returns:
  {[HTMLElement]} Array with exactly one HTML element.

Copyright (c) EclipseSource and others 2013, 2017. All rights reserved.